ranges::views::c_str_fn Struct Reference
Views

## Description

View a `\0`-terminated C string (e.g. from a const char*) as a range.

## Synopsis of methods

constexpr c_str_fn | c_str {}

## Public Member Functions

template<typename Char , std::size_t N>
auto | operator() (Char(&sz)[N]) const -> ranges::subrange< Char *> requires detail::is_char_type< Char >::value
template<typename Char >
auto | operator() (Char *sz) const volatile -> ranges::delimit_view< ranges::subrange< Char *, ranges::unreachable_sentinel_t >, meta::_t< std::remove_cv< Char >>> requires detail::is_char_type< Char >::value